using System.Linq;
using System;
using System.Collections.Generic;

public class Program
{
    public static void Main()
    {
        int MedijanaNizaA;
        int L;
        int br=0;
        string prvired = Console.ReadLine();
        var odvojeno = prvired.Split(' ');
        int N = int.Parse(odvojeno[0]);
        int Q = int.Parse(odvojeno[1]);
        L=N;
        string A = Console.ReadLine();
        var odvojeno1 = A.Split(' ');
        List<int> brojevi = new List<int>();
        foreach(string unos in odvojeno1) brojevi.Add(int.Parse(unos));
        string B = Console.ReadLine();
        var odvojeno2 = B.Split(' ');
        List<int> brojevi1 = new List<int>();
        foreach(string unos1 in odvojeno2) brojevi1.Add(int.Parse(unos1));
        List<int> A1 = brojevi;
        A1.Add(0);
        A1.Sort();
        MedijanaNizaA=A1[(N/2+1)];
        if(MedijanaNizaA==brojevi1[0])
        {
            Console.WriteLine(br);
        }else 
        { 
            while(MedijanaNizaA!=brojevi1[0])
            {
            N++;
            A1.Add(brojevi1[0]);
            A1.Sort();
            MedijanaNizaA=A1[(N/2+1)];
            br++;
            }
           Console.WriteLine(br); 
        }
    }    
}